Index: lib/ezimage/classes/ezimageshellhandler.php
===================================================================
--- lib/ezimage/classes/ezimageshellhandler.php	(Revision 23204)
+++ lib/ezimage/classes/ezimageshellhandler.php	(Arbeitskopie)
@@ -58,6 +58,7 @@
         $this->PostParameters = false;
         $this->UseTypeTag = false;
         $this->QualityParameters = false;
+        $this->FilePostfixParameters = false;
     }
 
     /*!
@@ -81,6 +82,7 @@
             $argumentList[] = $this->PreParameters;
 
         $qualityParameters = $this->QualityParameters;
+        $filePostfixParameters = $this->FilePostfixParameters;
 
         if ( $qualityParameters and
              isset( $qualityParameters[$destinationMimeData['name']] ) )
@@ -102,6 +104,13 @@
             }
         }
 
+        if ( $filePostfixParameters &&
+             isset( $filePostfixParameters[$sourceMimeData['name']] )
+           )
+        {
+            $sourceMimeData['url'] .= $filePostfixParameters[$sourceMimeData['name']];
+        }
+
         $argumentList[] = eZSys::escapeShellArgument( $sourceMimeData['url'] );
 
         $destinationURL = $destinationMimeData['url'];
@@ -113,14 +122,13 @@
             $argumentList[] = $this->PostParameters;
 
         $systemString = implode( ' ', $argumentList );
-//         print( $systemString . "<br/>" );
         $error = system( $systemString, $returnCode );
 
         if ( $returnCode == 0 )
         {
             if ( !file_exists( $destinationMimeData['url'] ) )
             {
-                eZDebug::writeError( "Unknown destination file: " . $destinationMimeData['url'], "eZImageShellHandler(" . $this->HandlerName . ")" );
+                eZDebug::writeError( 'Unknown destination file: ' . $destinationMimeData['url'] . ' when executing ' . $systemString, 'eZImageShellHandler(' . $this->HandlerName . ')' );
                 return false;
             }
             $this->changeFilePermissions( $destinationMimeData['url'] );
@@ -175,6 +183,14 @@
                     $qualityParameters[$elements[0]] = $elements[1];
                 }
             }
+            if ( $ini->hasVariable( $iniGroup, 'FilePostfixParameters' ) )
+            {
+                foreach ( $ini->variable( $iniGroup, 'FilePostfixParameters' ) as $filePostfixParameter )
+                {
+                    $elements = explode( ';', $filePostfixParameter );
+                    $filePostfixParameters[$elements[0]] = $elements[1];
+                }
+            }
             $conversionRules = false;
             if ( $ini->hasVariable( $iniGroup, 'ConversionRules' ) )
             {
@@ -261,6 +277,7 @@
             $handler->PostParameters = $postParameters;
             $handler->UseTypeTag = $useTypeTag;
             $handler->QualityParameters = $qualityParameters;
+            $handler->FilePostfixParameters = $filePostfixParameters;
             return $handler;
         }
         return $handler;
